"""
Parameter study: clamping force

Variation of the clamping force applied by the drawbar.

Author: F. Birk
"""

import numpy as np

joblist = []

Spannkraft = np.linspace(2000.0, 40000.0, num=20)

for g_F_sp in Spannkraft:

    g_Emod_H = 210000.0
    g_Emod_A = 210000.0
    g_Umin = 25000.0
    g_q = 0
    g_reib = 0.15

    string = str(g_F_sp).replace('.', '_')
    g_Jobname = 'Berechnung-' + string + '-mit-er'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)
    Mdb()

    g_q = 1
    g_Jobname = 'Berechnung-' + string + '-mit-fr'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)

paramsFile = open('joblist_F_sp.txt', 'w')
for job in joblist:
    paramsFile.write(str(job) + '\n')
paramsFile.close()